> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a campaign ticket



## OpenAPI

````yaml https://givebutter.com/docs/api.json post /v1/campaigns/{campaign}/items/tickets
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/campaigns/{campaign}/items/tickets:
    post:
      tags:
        - Campaign Tickets
      summary: Create a campaign ticket
      operationId: campaigns.items.tickets.store
      parameters:
        - name: campaign
          in: path
          required: true
          description: The campaign ID
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreCampaignItemTicketRequest'
      responses:
        '200':
          description: '`CampaignItemTicketResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignItemTicketResource'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreCampaignItemTicketRequest:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        price:
          type: number
          minimum: 0
        total_quantity:
          type:
            - integer
            - 'null'
          minimum: 0
        subtype:
          type:
            - string
            - 'null'
          enum:
            - physical
            - digital
            - hybrid
          maxLength: 255
        active:
          type:
            - boolean
            - 'null'
        retail_price:
          type:
            - number
            - 'null'
          minimum: 0
        description:
          type:
            - string
            - 'null'
          maxLength: 5000
        bundle_only:
          type:
            - boolean
            - 'null'
        hide_remaining:
          type:
            - boolean
            - 'null'
        scope:
          type:
            - string
            - 'null'
          enum:
            - registrant
            - event
          maxLength: 255
        bundles:
          type:
            - array
            - 'null'
          items:
            type: string
        custom_fields:
          type:
            - array
            - 'null'
          items:
            type: string
        pictures:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - name
        - price
      title: StoreCampaignItemTicketRequest
    CampaignItemTicketResource:
      type: object
      properties:
        id:
          type: string
        campaign_id:
          type: string
        name:
          type: string
        description:
          type: string
        price:
          type: string
        total_quantity:
          type: string
        subtype:
          type: string
        active:
          type: string
        retail_price:
          type: string
        bundle_only:
          type: string
        hide_remaining:
          type: string
        scope:
          type: string
        bundles:
          type: string
        custom_fields:
          type: string
        pictures:
          type: string
      required:
        - id
        - campaign_id
        - name
        - description
        - price
        - total_quantity
        - subtype
        - active
        - retail_price
        - bundle_only
        - hide_remaining
        - scope
        - bundles
        - custom_fields
        - pictures
      title: CampaignItemTicketResource
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````